HEXAGONRPCD(1)

NAME
hexagonrpcd - Server for FastRPC remote procedure calls from Qualcomm DSPs

SYNOPSIS
hexagonrpcd [options...] -f DEVICE

DESCRIPTION
Server for FastRPC remote procedure calls from Qualcomm DSPs.

OPTIONS

-c SHELL
    Create a new pd running the specified ELF -d DSP DSP name (default: )

-f DEVICE
    FastRPC device node to attach to

-p PROGRAM
    Run client program with shared file descriptor

-R DIR
    Root directory of served files (default: /usr/share/qcom/)

-s  Attach to sensorspd

NOTES
Hexagonrpcd serves files to the remote processor via a reverse tunnel interface to the remote processor. These files are by default searched for in: These files are searched for in a directory tree, starting at the location defined by the -R option, or in /usr/share/qcom by default:
HexagonRPCD file/dir Android file/dir
acdb /vendor/etc/acdbdata
dsp /vendor/dsp
sensors/config /vendor/etc/sensors/config
sensors/registry /mnt/vendor/persist/sensors/registry/registry
sensors/sns_reg.conf /vendor/etc/sensors/sns_reg_config
socinfo /sys/devices/soc0
These files and directories should be populated with files from your device's Android firmware. If you can pass the -R option, the convention is to pass -R /usr/share/qcom/SOC/VENDOR/DEVICE, where SOC is the SoC name in lowercase, VENDOR is the capitalized name of the device vendor, and DEVICE is the device name (e.g. -R /usr/share/qcom/sdm845/SHIFT/axolotl or -R /usr/share/qcom/sdm845/Thundercomm/db845c).

AUTHORS
hexagonrpcd was written by The HexagonRPC Contributors <https://github.com/linux-msm/hexagonrpc>

COPYRIGHT
Copyright (C) 2024 The HexagonRPC Contributors <https://github.com/linux-msm/hexagonrpc> Copyright (C) 2023 The Sensor Shell Contributors <https://github.com/linux-msm/hexagonrpc>

Released under GPL-3+ license.